﻿// GOOGLE MAPS API CUSTOM JAVASCRIPT
// BY JMDDESIGNS @ CODECANYON
// Translate to Persian By Seyed Amirhosein Tavoosi
// eMail : p30search@gmail.com || blog : Blog.Tavousi.Name
function initialize() {
    directionsDisplay = new google.maps.DirectionsRenderer;
    var mapOptions = {
        zoom: 3,
        center: new google.maps.LatLng(55.37805, - 3.43597),
        mapTypeControlOptions: {
            mapTypeIds: [google.maps.MapTypeId.ROADMAP, "map_style"]
        }
    };
    var map = new google.maps.Map(document.getElementById("map_canvas"), mapOptions);
    directionsDisplay.setMap(map);
    directionsDisplay.setPanel(document.getElementById("directionsPanel"));
    map.mapTypes.set("map_style", styledMap);
    map.setMapTypeId("map_style")
}

var directionDisplay;
var directionsService = new google.maps.DirectionsService;
var styles = [{
    stylers: [{
        "invert_lightness": false
    }, {
        saturation: 0
    }]
}, {
    featureType: "road",
    elementType: "geometry",
    stylers: [{
        lightness: 0
    }, {
        visibility: "on"
    }]
}, {}];
var styledMap = new google.maps.StyledMapType(styles, {
    name: "نقشه راهها"
});

function calcRoute() {
	var selectedMode = document.getElementById('mode').value;
    var start = document.getElementById("routeStart").value;
    var end = document.getElementById("routeEnd").value;
    var request = {
        origin: start,
        destination: end,
        travelMode: google.maps.TravelMode[selectedMode]
    };
	
    directionsService.route(request, function (response, status) {
        if (status == google.maps.DirectionsStatus.OK) directionsDisplay.setDirections(response);
        else if (status == "ZERO_RESULTS") alert("هیچ مسیری بین مبدا و مقصد یافت نشد.");
        else if (status == "UNKNOWN_ERROR") alert("به دلیل خطای پردازش سرور درخواست شما انجام نشد،لطفا دوباره سعی کنید.");
        else if (status == "REQUEST_DENIED") alert("به این صفحه اجازه داده نشده است که از این جهت استفاده کند.");
        else if (status == "OVER_QUERY_LIMIT") alert("بدلیل زیاد شدن بیش از حد درخواست از سرور در خواست انجام نشد لطفا بعدا سعی کنید");
        else if (status == "NOT_FOUND") alert("لطفا یک مسیر معتبر را وارد نمایید");
        else if (status == "INVALID_REQUEST") alert("مسیر ارئه شده نامعتبر است");
        else alert("یک خطای ناشناخته در درخواست شما وجود دارد.وضعیت درخواست: \n\n" + status)
	    })
};